Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004854 [JEDI VCL] 00 JVCL Components minor always 2009-07-08 16:27 2009-10-25 18:49
Reporter gpcaretti View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004854: TJvScrollText: vertical scroll cycles wrongly
Description When text scrolls up or down it does NOT re-appear from the opposite side as
soon as it disappears on the other side. That's because the scroller text area is high as the entire scroller height (you can view it forcing FText.BorderStyle := sbsSingle in the TJvScrollerText.Create constructor).
To solve it fix the problem removing code lines such as the following:
  if FText.Height < Height then
    FText.Height := Height;

See attached demo.
Additional Information related issues: 4763 and 4764
Tags No tags attached.
Attached Files zip file icon JvScrollTextBug4854.zip [^] (1,614 bytes) 2009-07-08 16:32
zip file icon JvScrollText4854.zip [^] (4,012 bytes) 2009-07-08 16:37

- Relationships

-  Notes
(0016821)
AHUser (developer)
2009-10-25 18:49

Fixed in SVN.

- Issue History
Date Modified Username Field Change
2009-07-08 16:27 gpcaretti New Issue
2009-07-08 16:32 gpcaretti File Added: JvScrollTextBug4854.zip
2009-07-08 16:37 gpcaretti File Added: JvScrollText4854.zip
2009-07-08 16:37 gpcaretti Issue Monitored: gpcaretti
2009-07-09 14:21 obones Status new => acknowledged
2009-10-25 18:49 AHUser Note Added: 0016821
2009-10-25 18:49 AHUser Status acknowledged => resolved
2009-10-25 18:49 AHUser Fixed in Version => Daily / SVN
2009-10-25 18:49 AHUser Resolution open => fixed
2009-10-25 18:49 AHUser Assigned To => AHUser
2009-10-28 07:23 gpcaretti Issue End Monitor: gpcaretti


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker